Loading...
Searching...
No Matches
casacore::BlockTrace Class Reference

`#include <Block.h>`

## Static Public Member Functions

static void | setTraceSize (size_t sz)
| Set the trace size.

## Static Protected Member Functions

static void | doTraceAlloc (const void *addr, size_t nelem, DataType type, size_t sz)
| Write alloc and free trace messages.
static void | doTraceFree (const void *addr, size_t nelem, DataType type, size_t sz)

## Static Protected Attributes

static size_t | itsTraceSize

## Detailed Description

Definition at line 47 of file Block.h.

## Member Function Documentation

## doTraceAlloc()

void casacore::BlockTrace::doTraceAlloc | ( | const void * | addr,
|  | size_t | nelem,
|  | DataType | type,
|  | size_t | sz )

static protected

Write alloc and free trace messages.

## doTraceFree()

void casacore::BlockTrace::doTraceFree | ( | const void * | addr,
|  | size_t | nelem,
|  | DataType | type,
|  | size_t | sz )

static protected

## setTraceSize()

void casacore::BlockTrace::setTraceSize | ( | size_t | sz | ) |

static

Set the trace size.

The (de)allocation of Blocks with >= sz elements will be traced using the MemoryTrace class. A value 0 means no tracing.

## Member Data Documentation

## itsTraceSize

size_t casacore::BlockTrace::itsTraceSize

static protected

Definition at line 61 of file Block.h.

The documentation for this class was generated from the following file:

- casa/Containers/Block.h